Bug 809966 - Pound package has broken dependencies
Pound package has broken dependencies
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Pound (Show other bugs)
16
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
:
Depends On: 795501
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 14:43 EDT by Pete Zaitcev
Modified: 2013-02-13 21:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 795501
Environment:
Last Closed: 2013-02-13 21:30:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2012-04-04 14:43:45 EDT
+++ This bug was initially created as a clone of Bug #795501 +++

Description of problem:
Pound package requires libtcmalloc.so.0 from google-perftools package which is missing.

Version-Release number of selected component (if applicable):


How reproducible:
easy  

Steps to Reproduce:
1. install Pound.i686
  
Actual results:
Failed to build transaction : Pound-2.6-1.el6.i686 requires libtcmalloc.so.0

Expected results:
Pound.i686 is installed

-------------------------------
Same problem on Fedora 16:

[root@kvm-san zaitcev]# yum install Pound
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package Pound.x86_64 0:2.6-0.5.fc16 will be installed
--> Processing Dependency: libtcmalloc.so.0()(64bit) for package: Pound-2.6-0.5.fc16.x86_64
Package google-perftools-libs is obsoleted by gperftools-libs, but obsoleting package does not provide for requirements
--> Finished Dependency Resolution
Error: Package: Pound-2.6-0.5.fc16.x86_64 (updates)
           Requires: libtcmalloc.so.0()(64bit)
           Available: google-perftools-1.8-1.fc16.x86_64 (fedora)
               libtcmalloc.so.0()(64bit)
           Available: google-perftools-libs-1.9.1-1.fc16.x86_64 (updates)
               libtcmalloc.so.0()(64bit)
           Available: google-perftools-1.9.1-1.fc16.x86_64 (updates)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@kvm-san zaitcev]# 

Same story for 2.6-1.fc16 from Koji:

[root@kvm-san zaitcev]# rpm -i Pound-2.6-1.fc16.x86_64.rpm 
error: Failed dependencies:
	libtcmalloc.so.0()(64bit) is needed by Pound-2.6-1.fc16.x86_64
[root@kvm-san zaitcev]# 

Meanwhile, 2.6-1.el6 from EPEL installs ok. WHAT IS GOING ON.
Comment 1 Pete Zaitcev 2012-04-04 17:47:05 EDT
I rebuilt 2.6-3 from the SRPM which Ruben used to build in F17, and that
installs fine. If nobody objects, I'm going build it for F16 and send to
Bodhi.
Comment 2 Jaroslav Pulchart 2012-04-05 01:41:08 EDT
Please ensure that gperftools are used as builddep. 

See http://www.apsis.ch/pound/ :
"If the PCRE, tcmalloc (from the Google perftools package) and/or Hoard are available Pound will link against them. This will provide a significant performance boost and is highly recommended."
Comment 3 Ruben Kerkhof 2012-05-30 04:42:23 EDT
Hi Pete,

No objections, please go ahead.
Comment 4 Fedora End Of Life 2013-01-16 19:52:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 21:30:53 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.